
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global build_dir	    src/github.com/prometheus/prometheus

Name:          	prometheus
Version:       	2.13.1
Release:        1.0.2%{?dist}
BuildArch:      x86_64
Summary:        Systems and service monitoring
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/prometheus/prometheus
Source:         %{name}-%{version}.tar.bz2
Vendor:	        Oracle America
BuildRequires:  golang >= 1.13.1-1.el7 

%description
Prometheus, a Cloud Native Computing Foundation project, is a systems and service monitoring system.
It collects metrics from configured targets at given intervals, evaluates rule expressions,
displays the results, and can trigger alerts if some condition is observed to be true.

%prep
%setup -q -n %{name}-%{version}
mkdir -p %{build_dir}
mv $(ls | grep -v "^src$") %{build_dir}
mv .promu.yml %{build_dir}

%build
pushd %{build_dir}
make build
popd

%install
pushd %{build_dir}
install -m 755 -d %{buildroot}/bin
install -p -m 755 -t %{buildroot}/bin prometheus
install -p -m 755 -t %{buildroot}/bin promtool

install -m 755 -d %{buildroot}/etc/prometheus/
install -p -m 644 -t %{buildroot}/etc/prometheus/ documentation/examples/prometheus.yml

install -m 755 -d %{buildroot}/usr/share/prometheus/console_libraries/
install -p -m 644 -t %{buildroot}/usr/share/prometheus/console_libraries/ console_libraries/*

install -m 755 -d %{buildroot}/usr/share/prometheus/consoles/
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/index.html.example
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node-cpu.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node-disk.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node-overview.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/prometheus.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/prometheus-overview.html

popd
mv %{build_dir}/LICENSE .
mv %{build_dir}/THIRD_PARTY_LICENSES.txt .

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
/bin/prometheus
/bin/promtool
/etc/prometheus/prometheus.yml
/usr/share/prometheus/console_libraries/
/usr/share/prometheus/consoles/

%changelog
* Thu Nov 14 2019 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 2.13.1-1.0.2
- added THIRD_PARTY_LICENSES.txt file

* Fri Oct 18 2019 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 2.13.1-1.0.1
- Added Oracle Specific Build Files for prometheus
